<form method="post" action="{{ path('posts_post_delete', {'id': post.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ post.id) }}">
    <button class="btn btn-danger">Delete Post</button>
</form>
